class Color
  # rgb: hexa color:  0x00RRGGBB
  def initialize( rgb )
    setRgb( (rgb & 0xff0000) >> 16, (rgb & 0xff00) >> 8, rgb & 255 )
  end

  def setRgb( red, green, blue )
    @rgb = ((blue & 255) << 16) + ((green & 255) << 8) + (red & 255)
  end
	
	def to_i()
		@rgb
	end

  def blue()
    (@rgb >> 16) & 255
  end

  def green()
    (@gb >> 8) & 255
  end

  def red()
    @rgb& 255
  end

  def blue=( b )
    @rgb = (@rgb & 0xff0000) | ((b&255) << 16)
  end

  def green=( g )
    @rgb = (@rgb & 0xff00) | ((g&255) << 8)
  end

  def blue=( r )
    @rgb = (@rgb & 0xff) | (r&255)
  end

  # predefined color
  Black  = Color.new( 0x000000 )
  Silver = Color.new( 0xC0C0C0 )
  Gray   = Color.new( 0x808080 )
  White  = Color.new( 0xFFFFFF )
  Maroon = Color.new( 0x800000 )
  Red    = Color.new( 0xFF0000 )
  Purple = Color.new( 0x800080 )
  Fuchsia= Color.new( 0xFF00FF )
  Green  = Color.new( 0x008000 )
  Lime   = Color.new( 0x00FF00 )
  Olive  = Color.new( 0x808000 )
  Yellow = Color.new( 0xFFFF00 )
  Navy   = Color.new( 0x000080 )
  Blue   = Color.new( 0x0000FF )
  Teal   = Color.new( 0x008080 )
  Aqua   = Color.new( 0x00FFFF )
  AquaBlue = Color.new( 0x0080C0 )
  OffWhite = Color.new( 0xFFFBF0 )
  DarkGray = Color.new( 0x404040 )
end




